summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_kinit.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2007-07-19 06:40:42 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 15:01:12 -0500
commit8172bbb7e4fa96c75687075a7a7efc247d1cfdb6 (patch)
tree6eff71a84de7c05b5ee031964996845018bedcf1 /testprogs/blackbox/test_kinit.sh
parentf8219ec5a8502975f347323900ff3245ff5222dc (diff)
downloadsamba-8172bbb7e4fa96c75687075a7a7efc247d1cfdb6.tar.gz
samba-8172bbb7e4fa96c75687075a7a7efc247d1cfdb6.tar.bz2
samba-8172bbb7e4fa96c75687075a7a7efc247d1cfdb6.zip
r23964: Update blackbox selftest scripts to cover more code, and to more
consistantly report errors. (Some were being lost due to the "echo foo | cmd" calling convention). Andrew Bartlett (This used to be commit d0a994d0ce7b1d4a33bbca5348c2da868401971f)
Diffstat (limited to 'testprogs/blackbox/test_kinit.sh')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh52
1 files changed, 44 insertions, 8 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 635662a550..6702ea2037 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -1,8 +1,11 @@
#!/bin/sh
+# Blackbox tests for kinit and kerberos integration with smbclient etc
+# Copyright (C) 2006-2007 Jelmer Vernooij <jelmer@samba.org>
+# Copyright (C) 2006-2007 Andrew Bartlett <abartlet@samba.org>
if [ $# -lt 5 ]; then
cat <<EOF
-Usage: test_kinit.sh SERVER USERNAME PASSWORD REALM PREFIX
+Usage: test_kinit.sh SERVER USERNAME PASSWORD REALM DOMAIN PREFIX
EOF
exit 1;
fi
@@ -11,8 +14,9 @@ SERVER=$1
USERNAME=$2
PASSWORD=$3
REALM=$4
-PREFIX=$5
-shift 5
+DOMAIN=$5
+PREFIX=$6
+shift 6
failed=0
testit() {
@@ -30,16 +34,48 @@ testit() {
return $status
}
+
+test_smbclient() {
+ name="$1"
+ cmd="$2"
+ shift
+ shift
+ echo "test: $name"
+ $VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ fi
+ return $status
+}
+
KRB5CCNAME=`pwd`/tmpccache
export KRB5CCNAME
echo $PASSWORD > ./tmppassfile
-testit "kinit with password" samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
-testit "kinit with pkinit" samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with password" bin/samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with pkinit" bin/samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
+
+test_smbclient "Test login with kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
+
+testit "domain join with kerberos ccache" $VALGRIND bin/net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
+
+testit "add user with kerberos ccache" $VALGRIND bin/net user add nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+USERPASS=testPass@12%
+
+testit "set user password with kerberos ccache" $VALGRIND bin/net password set $DOMAIN\\nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
-echo ls | testit "Test login with kerberos ccache" $VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp -k yes || failed=`expr $failed + 1`
+#KRB5CCNAME=`pwd`/tmpuserccache
+#export KRB5CCNAME
+#
+#testit "kinit with user password" bin/samba4kinit --password-file=./tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
+#
+#KRB5CCNAME=`pwd`/tmpccache
+#export KRB5CCNAME
-testit "domain join with kerberos ccache" $VALGRIND bin/net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -k yes $@
+testit "del user with kerberos ccache" $VALGRIND bin/net user delete nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
-rm -f tmpccfile tmppassfile
+rm -f tmpccfile tmppassfile tmpuserccache
exit $failed